Scientific Linux Security Update : firefox on SL7.x x86_64

High Nessus Plugin ID 110935

Synopsis

The remote Scientific Linux host is missing one or more security updates.

Description

This update upgrades Firefox to version 60.1.0 ESR.

Many older firefox extensions must be updated to work with this new release.

Security Fix(es) :

- Mozilla: Memory safety bugs fixed in Firefox 61, Firefox ESR 60.1, and Firefox ESR 52.9 (CVE-2018-5188)

- Mozilla: Buffer overflow using computed size of canvas element (CVE-2018-12359)

- Mozilla: Use-after-free using focus() (CVE-2018-12360)

- Mozilla: Media recorder segmentation fault when track type is changed during capture (CVE-2018-5156)

- Skia: Heap buffer overflow rasterizing paths in SVG (CVE-2018-6126)

- Mozilla: Integer overflow in SSSE3 scaler (CVE-2018-12362)

- Mozilla: Use-after-free when appending DOM nodes (CVE-2018-12363)

- Mozilla: CSRF attacks through 307 redirects and NPAPI plugins (CVE-2018-12364)

- Mozilla: address bar username and password spoofing in reader mode (CVE-2017-7762)

- Mozilla: Compromised IPC child process can list local filenames (CVE-2018-12365)

- Mozilla: Invalid data handling during QCMS transformations (CVE-2018-12366)

Solution

Update the affected firefox and / or firefox-debuginfo packages.

See Also

http://www.nessus.org/u?a7db76e5

Plugin Details

Severity: High

ID: 110935

File Name: sl_20180628_firefox_on_SL7_x.nasl

Version: 1.7

Type: local

Agent: unix

Published: 2018/07/06

Modified: 2018/12/07

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2018/06/28

Reference Information

CVE: CVE-2017-7762, CVE-2018-12359, CVE-2018-12360, CVE-2018-12362, CVE-2018-12363, CVE-2018-12364, CVE-2018-12365, CVE-2018-12366, CVE-2018-5156, CVE-2018-5188, CVE-2018-6126